[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#298952: network-console: does not seem to allow preseeding of password

tags 298952 +patch

On Thu, 10 Mar 2005, Joey Hess wrote:

> Well according to the changelog, this was fixed in version 0.0.11.

Thanks, I upgraded to the daily image (from rc2) and I can now seed the
password successfully.  There still seems to be a problem preseeding the
"start" note.  The following one-liner fixes that.  Without it I always
get "an installation step failed" message when I preseed
d-i debian-installer/network-console/start note

diff -ru network-console-0.0.11/debian/network-console.postinst network-console-0.0.11.new/debian/network-console.postinst
--- network-console-0.0.11/debian/network-console.postinst      2004-12-10 14:15:55.000000000 -0800
+++ network-console-0.0.11.new/debian/network-console.postinst  2005-03-11 08:20:46.000000000 -0800
@@ -50,5 +50,5 @@
 apt-install network-console-config || true

 db_subst $TEMPLATE_ROOT/start fingerprint $KEY_FINGERPRINT
-db_input critical $TEMPLATE_ROOT/start
+db_input critical $TEMPLATE_ROOT/start || true


Paul Telford | 1024D/431B38BA | pxt@debian.org | paul@droflet.net
       C903 0E85 9AF5 1B80 6A5F  F169 D7E9 4363 431B 38BA

Reply to: